# Vector Framework Integrations

<table data-view="cards"><thead><tr><th align="center"></th><th align="center"></th><th align="center"></th><th data-hidden data-card-cover data-type="files"></th></tr></thead><tbody><tr><td align="center"><strong>WEBINAR</strong></td><td align="center">The Next Generation of MariaDB: Powered by Vector Search</td><td align="center"><a href="https://go.mariadb.com/GLBL-WBN-2025-01-30-WhatsnewinMariaDB-ES.html?utm_source=onpagepromo&#x26;utm_medium=kb&#x26;utm_campaign=webinar-platform-vector"><strong>Watch Now</strong></a></td><td><a href="broken-reference">Broken file</a></td></tr></tbody></table>

{% hint style="info" %}
[Vectors](https://mariadb.com/docs/server/reference/sql-structure/vectors) are available from [MariaDB 11.7](https://app.gitbook.com/s/aEnK0ZXmUbJzqQrTjFyb/community-server/old-releases/11.7/what-is-mariadb-117).
{% endhint %}

MariaDB Vector has integrations in several frameworks.

## AI Framework Integrations

* [LangChain, MariaDB Vector Store](https://pypi.org/project/langchain-mariadb/) - Python
* [LangChain.js, MariaDB Vector Store](https://js.langchain.com/docs/integrations/vectorstores/mariadb/) - Node.js
* [LangChain4j, MariaDB Embedding Store](https://docs.langchain4j.dev/integrations/embedding-stores/mariadb/) - Java
* [LlamaIndex, MariaDB Vector Store](https://docs.llamaindex.ai/en/stable/api_reference/storage/vector_store/mariadb/) - Python
* [MCP (Model Context Protocol), MariaDB MCP server](https://github.com/mariadb/mcp) - Python
* [Spring AI, MariaDB Vector Store](https://docs.spring.io/spring-ai/reference/api/vectordbs/mariadb.html) - Java
* [VectorDBBench](https://github.com/zilliztech/VectorDBBench/pull/375) - benchmarking for vector databases

## Potential Future Vector or AI Integrations

* [AutoGen](https://github.com/microsoft/autogen) - Agent to agent, Python
* [DB-GPT](https://github.com/eosphoros-ai/DB-GPT) - private LLM, vector search and text2sql, see [integration docs](http://docs.dbgpt.cn/docs/installation), Python
* [DSPy](https://github.com/stanfordnlp/dspy) - Workflow, not accepting external integrations anymore, Python
* [Feast](https://github.com/feast-dev/feast) - machine learning (not GenAI), Python
* [Firebase Studio template for MariaDB Vector](https://firebase.uservoice.com/forums/948424-general/suggestions/49702310-mariadb-vector) - visit link to vote for suggestion
* [LangGraph](https://github.com/langchain-ai/langgraph) - Agentic workflow, Python
* [MindSQL](https://github.com/Mindinventory/MindSQL) - Text-to-SQL RAG Library simplifying database interactions, Python
* [Open WebUI](https://github.com/open-webui/open-webui) - AI Interface, Python & Javascript
* [Vanna AI](https://github.com/vanna-ai/vanna) - Vector search and text2sql, Python

For further alternatives, see [Qdrant's list of framework integrations](https://qdrant.tech/documentation/frameworks/).

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/sql-structure/vectors/vector-framework-integrations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
